<?
session_name('portal_absa');
session_start();
$arrHTTP = explode("?",trim(strtoupper($_SERVER['HTTP_REFERER'])));
$http = trim(strtoupper($arrHTTP[0]));

if(!isset($_SESSION['usuario_p_prov_absa']) || trim($_SESSION['usuario_p_prov_absa']) == "" || (trim(strtoupper($_SESSION["URL_PORTAL"]."FORMULARIOS/FORM_EXPEDIENTE_COMPLEMENTOPAGO.PHP")) != $http && trim(strtoupper($_SESSION["URL_PORTAL"]."FORMULARIOS/FORM_EXPEDIENTE_ICFDI.PHP")) != $http && trim(strtoupper($_SESSION["URL_PORTAL"]."FORMULARIOS/FORM_EXPEDIENTE_PAGO.PHP")) != $http)){
	?><script>window.close();</script><?
	exit;
}
if(trim($_SESSION['RFC_RECEPTOR_PORTAL']) != ""){
$queryURL = "select url_local_xml,url_local_pdf,url_local_adjunto,url_remoto_xml,url_remoto_pdf,url_remoto_adjunto from configtdoctosexp where tipodocto='".$_REQUEST['tipodocto']."' and rfc='".$_SESSION['RFC_RECEPTOR_PORTAL']."'";
}else{
$queryURL = "select url_local_xml,url_local_pdf,url_local_adjunto,url_remoto_xml,url_remoto_pdf,url_remoto_adjunto from configtdoctosexp where tipodocto='".$_REQUEST['tipodocto']."'";
}


conectar();
$resultURL = mysql_query($queryURL);

$queryDoc="";
if($_REQUEST['tabla'] == "doce"){
$queryDoc="select archxml as xml,archpdf as pdf,fecha from doce where rfcemisor='".$_REQUEST['rfcemisor']."' and tipodocto='".$_REQUEST['tipodocto']."'
and serie='".$_REQUEST['serie']."' and folio='".$_REQUEST['folio']."' and uuid='".$_REQUEST['uuid']."'";
}elseif($_REQUEST['tabla'] == "recibedoce"){
$queryDoc="select xml,pdf,fechadocto as fecha from recibedoce where rfcemisor='".$_REQUEST['rfcemisor']."' and tipodocto='".$_REQUEST['tipodocto']."'
and serie='".$_REQUEST['serie']."' and folio='".$_REQUEST['folio']."' and uuid='".$_REQUEST['uuid']."'";
}elseif($_REQUEST['tabla'] == "adjuntos"){
$queryDoc="select archivo,fecha from adjuntos where rfcemisor='".$_REQUEST['rfcemisor']."' and tipodocto='".$_REQUEST['tipodocto']."'
and serie='".$_REQUEST['serie']."' and folio='".$_REQUEST['folio']."'";
}

$resArchivo = mysql_query($queryDoc);

$url="";
if(mysql_num_rows($resultURL) > 0){
	$tmpURL=mysql_fetch_array($resultURL);
	$tmpArchivo = mysql_fetch_array($resArchivo);
	$year = substr($tmpArchivo['fecha'],0,4);
	$mes = substr($tmpArchivo['fecha'],5,2);
	switch($_REQUEST['tipo_archivo']){
		case 'XML': $url=$tmpURL['url_remoto_xml'];$archivo=$tmpArchivo['xml'];break;
		case 'PDF':	$url=$tmpURL['url_remoto_pdf'];$archivo=$tmpArchivo['pdf'];break;
		case 'ADJ':	$url=$tmpURL['url_remoto_adjunto'];$archivo=$tmpArchivo['archivo'];break;
	}
}
desconectar();

$ruta=$url."/".$year."/".$mes."/".$archivo;

?><script>window.open("<?=$ruta?>");</script><?exit;
header("Content-disposition: attachment; filename=$archivo");
header("Content-type: application/octet-stream");
readfile($ruta);

/*header ("Content-Type: application/octet-stream");
header ("Content-Disposition: attachment; filename=\"$archivo\"\n");
header ("Content-Length: ".filesize($url."/".$year."/".$mes."/".$archivo));
$fp=fopen($url."/".$year."/".$mes."/".$archivo, "r");
fpassthru($fp);
*/
?>